Subject: bug#10130: 24.0.91; eldoc error DOC-24.0.91.1 not found

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 25 Nov 2011 06:38:25 +0100

Glenn Morris <[email-masked]> writes:

> Thierry Volpiatto wrote:
>
>> I have in ../etc a file named DOC-24.0.91.3
>> Creating a symlink to DOC-24.0.91.1 workaround the problem.
>>
>> What is this file for exactly?
>
> It's the documentation for preloaded things. It is build-specific.
> If you are running 24.0.91.1 (and according to the text below, you are)
> and do not have a DOC-24.0.91.1 file, then your build is incomplete, or
> perhaps a part got removed by mistake.
I build emacs in "~/tmp/emacs-build" (not source directory):
mkdir ~/tmp/emacs-build
cd ~/tmp/emacs-build
~/download/emacs-bzr/trunk/configure --with-x-toolkit=lucid --without-gconf --without-gsettings

Here what i have in "~/tmp/emacs-build/etc" once finished:

-rw-rw-r--  1 thierry thierry 2503273 2011-11-24 19:04 DOC
-rw-rw-r--  1 thierry thierry 2503126 2011-11-22 10:06 DOC-24.0.91.1
-rw-rw-r--  1 thierry thierry 2503156 2011-11-23 19:25 DOC-24.0.91.2
-rw-rw-r--  1 thierry thierry 2503273 2011-11-24 19:04 DOC-24.0.91.3

When i run make install, more precisely:
sudo make install bindir=/usr/local/sbin/emacs-24.0.91 infodir=/usr/local/share/info-24.0.91

I have only DOC-24.0.91.3 in etc.

> Unless you can demonstrate a recipe to reproduce this state, I don't
> think this is an Emacs bug.
Well this happened with a simple make after updating bzr repo, i will
try to rebuild again to see what happen.

Thanks.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997